Subject: bug#23092: 25.0.92; Minibuffer completion fails to resize completion window if reused during same command

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Mar 2016 22:10:21 +0200

> From: [email-masked] (N. Jackson)
> Date: Tue, 22 Mar 2016 16:56:03 -0300
> Cc: [email-masked]
> 
> > displaying two, three completions in a window that occupies one half
> > of your frame does not strike me as a good solution either.
> 
> For me though, this seems absolutely fine. After all that window is only
> there until I've finished my command in the minibuffer, then it
> disappears.

In theory, yes.  In practice, it's all too easy to cause it be left in
place long after you have no use for that buffer.  I'm sure it
happened to you at least once.

> (If it was taking up so much space that it prevented me from seeing
> something I needed to refer to while completing my command in the
> minibuffer, that would be another matter entirely, but with the
> completions window occupying the right half of the frame that was never
> an issue for me in Emacs 24.)

Having it occupy half the frame, obscuring too much of the buffer I'm
editing, is also an annoyance.